# Run tests in check section
%bcond_with check

%global goipath         github.com/microcosm-cc/bluemonday
Version:                1.0.2

%global common_description %{expand:
bluemonday is a HTML sanitizer implemented in Go. It is fast and highly 
configurable.

bluemonday takes untrusted user generated content as an input, and will 
return HTML that has been sanitised against a whitelist of approved HTML 
elements and attributes so that you can safely include the content in your 
web page.}

%gometa

Name:           %{goname}
Release:        1%{?dist}
Summary:        Fast golang HTML sanitizer
Group:          Development/Other
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

BuildRequires: golang(golang.org/x/net/html)

%description
%{common_description}

%gopkg
%prep
%goprep

%install
%gopkginstall


%if %{with check}
%check
%gocheck
%endif

%global golicenses LICENSE.md
%global godocs README.md CREDITS.md CONTRIBUTING.md
%gopkgfiles



%changelog
* Fri Sep 18 2020 joequant <joequant> 1.0.2-1.mga8
+ Revision: 1628321
- fix build

* Mon Nov 26 2018 pterjan <pterjan> 1.0.1-1.mga7
+ Revision: 1334724
- imported package golang-github-microcosm-cc-bluemonday

